<template>
  <div class="error-page">
    <Icon class="icon"/>
    <h1 class="title">متاسفانه مشکلی رخ داده است!</h1>
    <div class="actions">
      <nuxt-link to="/">
        <Button class="button" type="contained" size="md">
          بازگشت به خانه
        </Button>
      </nuxt-link>
      <nuxt-link to="/shop">
        <Button class="button" type="outlined" size="md">
          فروشگاه
        </Button>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import Icon from "@/assets/svgs/problem.svg";
import Button from "@/components/base/Button"

export default {
  components: {
    Icon,
    Button
  },
  head() {
    return {
      title: "صفحه مورد نظر یافت نشد"
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.error-page
  background-color $black
  display flex
  flex-direction column
  align-items center
  justify-content center

.icon
  width 20rem
  height 20rem
  margin-bottom $xxsm
  fill $primary
  opacity .85
  @media only screen and (max-width 700px)
    width 17.5rem
    height 17.5rem

.title
  color $white
  direction rtl
  text-align center
  font-weight 500
  @media only screen and (max-width 700px)
    font-weight 400
    font-size 2.5rem

.actions
  direction rtl
  margin-top $lg
  display flex
  align-items center
  & > *:not(:last-child)
    margin-left $sm
    @media only screen and (max-width 700px)
      margin-left 0
      margin-bottom $sm
  @media only screen and (max-width 700px)
    flex-direction column
    margin-top $sm
</style>